/**
 * title: "图标"
 * description: ""
 */
import React from 'react';
import { Switch, Grid, Icon } from '@alicloud/console-components';
var Row = Grid.Row, Col = Grid.Col;
var checkedText = React.createElement(Icon, { type: "select", size: "xs" });
var unCheckedText = React.createElement(Icon, { type: "close", size: "xs" });
export default (function () {
    return (React.createElement(Row, null,
        React.createElement(Col, null,
            React.createElement(Switch, { autoWidth: true, defaultChecked: true, checkedChildren: checkedText, unCheckedChildren: unCheckedText }),
            React.createElement("br", null),
            React.createElement("br", null),
            React.createElement(Switch, { autoWidth: true, checkedChildren: checkedText, unCheckedChildren: unCheckedText })),
        React.createElement(Col, null,
            React.createElement(Switch, { autoWidth: true, defaultChecked: true, disabled: true, checkedChildren: checkedText, unCheckedChildren: unCheckedText }),
            React.createElement("br", null),
            React.createElement("br", null),
            React.createElement(Switch, { autoWidth: true, disabled: true, checkedChildren: checkedText, unCheckedChildren: unCheckedText })),
        React.createElement(Col, null,
            React.createElement(Switch, { autoWidth: true, defaultChecked: true, loading: true, checkedChildren: checkedText, unCheckedChildren: unCheckedText }),
            React.createElement("br", null),
            React.createElement("br", null),
            React.createElement(Switch, { autoWidth: true, loading: true, checkedChildren: checkedText, unCheckedChildren: unCheckedText }))));
});
